input_dir: /home/sandhiya/dr-transcripts/data/pdfs
output_dir: outputs

model: llama3.1:latest
# ✅ FIXED: Reduced from 16384 to 12288 for faster processing
# This is plenty for most transcripts
num_ctx: 12288

# ✅ FIXED: Lowered temperature from 0.2 to 0.1 for more consistent extraction
temperature: 0.1

ollama_host: http://localhost:11434

# Set to true to rebuild CSVs from existing JSONs without calling LLM
rebuild_only: false

# ✅ NEW: Maximum tokens per transcript chunk (prevents timeouts)
max_transcript_tokens: 10000

# ✅ NEW: Timeout per conversation in seconds (30 minutes instead of 1 hour)
conversation_timeout: 1800


predefined_entities:
  Symptoms:
    - blurred vision
    - fluctuating vision
    - floaters
    - poor night vision
    - faded colors
  Ophthalmic Findings:
    - microaneurysms
    - cotton wool spots
    - retinal hemorrhages
    - macular edema
    - neovascularization
    - scar tissue
  Diagnostic Tools:
    - dilated eye exam
    - OCT
    - fundus photography
    - fluorescein angiography
  Systemic Risk Factors:
    - HbA1c
    - blood pressure
    - cholesterol
  Treatment Options:
    - intravitreal injection
    - laser treatment
    - vitrectomy
  Demographics/History:
    - duration of diabetes
    - age over 65
    - smoking